List public models
curl --request GET \
--url https://api.caprioletech.com/v1/modelsimport requests
url = "https://api.caprioletech.com/v1/models"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.caprioletech.com/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.caprioletech.com/v1/models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.caprioletech.com/v1/models"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.caprioletech.com/v1/models")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.caprioletech.com/v1/models")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "openai-latest"
},
{
"id": "openai/gpt-6.2-astra"
},
{
"id": "openai/gpt-6.2-sol"
},
{
"id": "openai/gpt-6-astra"
},
{
"id": "openai/gpt-6.1-sol"
},
{
"id": "openai/gpt-6-sol"
},
{
"id": "openai/gpt-6-luna"
},
{
"id": "openai/gpt-5.6-terra"
},
{
"id": "openai/gpt-5.6-luna"
},
{
"id": "claude-latest"
},
{
"id": "anthropic/claude-fable-5-1"
},
{
"id": "anthropic/claude-opus-5-5"
},
{
"id": "anthropic/claude-fable-5"
},
{
"id": "anthropic/claude-opus-5"
},
{
"id": "anthropic/claude-opus-4-8"
},
{
"id": "anthropic/claude-opus-4-7"
},
{
"id": "anthropic/claude-opus-4-6"
},
{
"id": "anthropic/claude-sonnet-4-6"
},
{
"id": "google-latest"
},
{
"id": "google/gemini-4-carbon"
},
{
"id": "google/gemini-4-argon"
},
{
"id": "google/gemini-3.8-flash"
},
{
"id": "xai/grok-4.7"
},
{
"id": "xai/grok-4.6"
},
{
"id": "xai/grok-4.5"
},
{
"id": "zai/glm-5.3-flash"
},
{
"id": "zai/glm-5.2"
},
{
"id": "moonshot/kimi-k3.1-pro"
},
{
"id": "moonshot/kimi-k3"
}
]
}{
"detail": "Rate limit exceeded: 300 per 1 minute"
}{
"detail": "An internal server error occurred. Please try again later."
}엔드포인트
모델 목록
현재 공개 모델 카탈로그를 반환합니다.
GET
/
v1
/
models
List public models
curl --request GET \
--url https://api.caprioletech.com/v1/modelsimport requests
url = "https://api.caprioletech.com/v1/models"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.caprioletech.com/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.caprioletech.com/v1/models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.caprioletech.com/v1/models"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.caprioletech.com/v1/models")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.caprioletech.com/v1/models")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "openai-latest"
},
{
"id": "openai/gpt-6.2-astra"
},
{
"id": "openai/gpt-6.2-sol"
},
{
"id": "openai/gpt-6-astra"
},
{
"id": "openai/gpt-6.1-sol"
},
{
"id": "openai/gpt-6-sol"
},
{
"id": "openai/gpt-6-luna"
},
{
"id": "openai/gpt-5.6-terra"
},
{
"id": "openai/gpt-5.6-luna"
},
{
"id": "claude-latest"
},
{
"id": "anthropic/claude-fable-5-1"
},
{
"id": "anthropic/claude-opus-5-5"
},
{
"id": "anthropic/claude-fable-5"
},
{
"id": "anthropic/claude-opus-5"
},
{
"id": "anthropic/claude-opus-4-8"
},
{
"id": "anthropic/claude-opus-4-7"
},
{
"id": "anthropic/claude-opus-4-6"
},
{
"id": "anthropic/claude-sonnet-4-6"
},
{
"id": "google-latest"
},
{
"id": "google/gemini-4-carbon"
},
{
"id": "google/gemini-4-argon"
},
{
"id": "google/gemini-3.8-flash"
},
{
"id": "xai/grok-4.7"
},
{
"id": "xai/grok-4.6"
},
{
"id": "xai/grok-4.5"
},
{
"id": "zai/glm-5.3-flash"
},
{
"id": "zai/glm-5.2"
},
{
"id": "moonshot/kimi-k3.1-pro"
},
{
"id": "moonshot/kimi-k3"
}
]
}{
"detail": "Rate limit exceeded: 300 per 1 minute"
}{
"detail": "An internal server error occurred. Please try again later."
}이 엔드포인트로 현재 공개 모델 카탈로그를 조회하세요.
카탈로그에는 구체적인 모델 ID보다 제공자별 latest 별칭이 먼저 나옵니다.
Anthropic Messages 엔드포인트는
openai-latestclaude-latestgoogle-latest
| 모델 선택 | 적합한 경우 |
|---|---|
openai-latest, claude-latest, google-latest | 한 번 설정해 두고 Capriole AI가 권장하는 플래그십 모델을 계속 쓰게 할 때 |
openai/gpt-6.2-astra 같은 구체적인 모델 ID | 정확한 모델 버전을 고정할 때 |
POST /v1/chat/completions에서 latest 별칭은 다음과 같이 해석됩니다.
| Latest 별칭 | 해석 결과 |
|---|---|
openai-latest | openai/gpt-6.2-astra |
claude-latest | anthropic/claude-fable-5-1 |
google-latest | google/gemini-4-carbon |
| 엔드포인트 | Latest 별칭 |
|---|---|
POST /v1/chat/completions | openai-latest, claude-latest, google-latest |
POST /v1/responses | openai-latest |
POST /v1/messages | claude-latest |
POST /v1/messages/count_tokens | claude-latest |
claude-fable-5-1, claude-fable-5, claude-opus-5-5, claude-opus-5, claude-opus-4-8, claude-opus-4-7, claude-opus-4-6, claude-sonnet-4-6처럼 접두사 없는 구체적인 Claude Messages ID도 받습니다.
POST /v1/messages와 POST /v1/messages/count_tokens에서 claude-latest는 claude-fable-5-1로 해석되며, Chat Completions latest 별칭과 같습니다.
위에 나온 접두사 없는 별칭 ID를 사용하세요. openai/openai-latest 같은 제공자 접두사는 클라이언트 쪽 선택자 패턴이며 Capriole AI 모델 ID가 아닙니다.마지막 수정일 2026년 11월 18일

